> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# importproductduplicatematch

> Import product detect duplicates based on field - Name, Code, Name+Code

## "importproductduplicatematch" MDO List

Import product detect duplicates based on field:  Name, Code, Name+Code

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ImportProductDuplicateMatchProvider">ImportProductDuplicateMatchProvider</see> class.
The name of the MDO list is 'importproductduplicatematch'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/importproductduplicatematch
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("importproductduplicatematch", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 1  | Name:       |           |           |
| 2  | Code        |           |           |
| 3  | Name + Code |           |           |

## Related MDO Lists

* "importproductduplicatematchheadings"
* "importproductduplicatematchheadingswithallitem"
* "importproductduplicatematchheadingswithallitemwithnoselection"
* "importproductduplicatematchheadingswithnoselection"
* "importproductduplicatematchwithallitem"
* "importproductduplicatematchwithallitemwithnoselection"
* "importproductduplicatematchwithnoselection"


## Related topics

- [Enum ImportProductDuplicateMatch](/en/automation/crmscript/reference/CRMScript.NetServer.ImportProductDuplicateMatch.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
